/* Copyright 2015 Jetperch LLC.  All rights reserved. */

/**
 * @file
 *
 * @brief Standard embc status and error codes.
 */

#ifndef EMBC_EC_H_
#define EMBC_EC_H_


/**
 * @ingroup embc
 * @defgroup ec Error codes
 *
 * @brief Standardize error code definitions.
 *
 * @{
 */

/**
 * @brief The list of error codes.
 */
enum embc_ec_e {
    EMBC_SUCCESS = 0,
    EMBC_ERROR_UNSPECIFIED,
    EMBC_ERROR_OUT_OF_MEMORY,
    EMBC_ERROR_IO,
    EMBC_ERROR_PARAMETER_INVALID,
    EMBC_ERROR_INVALID_RETURN_CONDITION,
    EMBC_ERROR_INVALID_CONTEXT,
    EMBC_ERROR_INVALID_MESSAGE_LENGTH,
    EMBC_ERROR_TIMEOUT,
    EMBC_ERROR_FULL,
    EMBC_ERROR_EMPTY,

    EMBC_ERROR_CODE_COUNT
};

/** @} */

#endif /* EMBC_EC_H_ */
